#
# Aeon Artillery Projectile
#
local AShieldStructureUnit = import('/lua/modules/aeonunits.lua').AShieldStructureUnit
local AArtilleryProjectile = import('/lua/modules/aeonprojectiles.lua').AArtilleryProjectile
local EffectTemplate = import('/lua/modules/EffectTemplates.lua')
local projbp = 'poppershield'
local oldunit = AArtilleryProjectile


AIFSonanceShell02 = Class(oldunit) {
    
    FxTrails = EffectTemplate.ASonanceWeaponFXTrail02,
    
    FxImpactUnit =  EffectTemplate.ASonanceWeaponHit02,
    FxImpactProp =  EffectTemplate.ASonanceWeaponHit02,
    FxImpactLand =  EffectTemplate.ASonanceWeaponHit02,
    
    OnImpact = function(self, TargetType, targetEntity)
		oldunit.OnImpact(self, TargetType, targetEntity)
		local pos = self:GetPosition()
        CreateUnit(projbp, self:GetArmy(), pos[1], pos[2], pos[3], 0, 0, 0, 0)
    end,
}

TypeClass = AIFSonanceShell02